Package org.eclipse.ecf.core

# Class ContainerConnectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.core.ContainerConnectException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContainerAuthenticationException`

public class ContainerConnectException extends ECFException
Exception class to be thrown upon connection failure.

See Also:
  - `IContainer.connect(org.eclipse.ecf.core.identity.ID, org.eclipse.ecf.core.security.IConnectContext)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContainerConnectException()`
`ContainerConnectException(String message)`
`ContainerConnectException(String message, Throwable cause)`
`ContainerConnectException(Throwable cause)`
`ContainerConnectException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerConnectException

public ContainerConnectException()

### ContainerConnectException

public ContainerConnectException(String message)

### ContainerConnectException

public ContainerConnectException(Throwable cause)

### ContainerConnectException

public ContainerConnectException(String message, Throwable cause)

### ContainerConnectException

public ContainerConnectException(org.eclipse.core.runtime.IStatus status)